std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >(3)

NAME
std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >

SYNOPSIS

  Public Types
typedef std::ptrdiff_t difference_type
typedef std::forward_iterator_tag iterator_category
typedef const value_type * pointer
typedef const value_type & reference
typedef basic_regex< _Ch_type, _Rx_traits > regex_type
typedef match_results< _Bi_iter > value_type

  Public Member Functions
regex_iterator ()=default
Provides a singular iterator, useful for indicating one-past-the-end of a range.
regex_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, regex_constants::match_flag_type __m=regex_constants::match_default)
regex_iterator (_Bi_iter, _Bi_iter, const regex_type &&, regex_constants::match_flag_type=regex_constants::match_default)=delete
regex_iterator (const regex_iterator &)=default
Copy constructs a regex_iterator.
bool operator!= (const regex_iterator &__rhs) const noexcept
Tests the inequivalence of two regex iterators.
const value_type & operator* () const noexcept
Dereferences a regex_iterator.
regex_iterator & operator++ ()
Increments a regex_iterator.
regex_iterator operator++ (int)
Postincrements a regex_iterator.
const value_type * operator-> () const noexcept
Selects a regex_iterator member.
regex_iterator & operator= (const regex_iterator &)=default
Copy assigns one regex_iterator to another.
bool operator== (const regex_iterator &) const noexcept
Tests the equivalence of two regex iterators.

Detailed Description

  template<typename _Bi_iter, typename _Ch_type = typename iterator_traits<_Bi_iter>::value_type, typename _Rx_traits = regex_traits<_Ch_type>>
class std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >" An iterator adaptor that will provide repeated calls of regex_search over a range until no more matches remain.

Definition at line 2625 of file regex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.